using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace digioz
{
    public class PortalSettings
    {
        private string csDBHost;
        private string csDBName;
        private string csDBUser;
        private string csDBPass;
        private string csDBType;
        private bool cbDBRelational;
        private string csConnectionString;
        private string csEncryptionKey;
        private string csEncryptionVector;
        private string csURLEncryptionKey;
        private string csEncryptionSalt;

        public PortalSettings()
        { }

        public string DBHost
        {
            get { return csDBHost; }
            set { csDBHost = value; }
        }

        public string DBName
        {
            get { return csDBName; }
            set { csDBName = value; }
        }

        public string DBUser
        {
            get { return csDBUser; }
            set { csDBUser = value; }
        }

        public string DBPass
        {
            get { return csDBPass; }
            set { csDBPass = value; }
        }

        public string DBType
        {
            get { return csDBType; }
            set { csDBType = value; }
        }

        public bool DBRelational
        {
            get { return cbDBRelational; }
            set { cbDBRelational = value; }
        }

        public string ConnectionString
        {
            get { return csConnectionString; }
            set { csConnectionString = value; }
        }

        public string EncryptionKey
        {
            get { return csEncryptionKey; }
            set { csEncryptionKey = value; }
        }

        public string EncryptionVector
        {
            get { return csEncryptionVector; }
            set { csEncryptionVector = value; }
        }

        public string URLEncryptionKey
        {
            get { return csURLEncryptionKey; }
            set { csURLEncryptionKey = value; }
        }

        public string EncryptionSalt
        {
            get { return csEncryptionSalt; }
            set { csEncryptionSalt = value; }
        }
    }
}
